// 
// ־ͨ - բ - ZigBee
// 

#include "BarrierCommand.h"

BarrierCommand::BarrierCommand()
{
	SetDevice(CommandData::Devices::Barrier);
}

byte* BarrierCommand::CMD_GateOn()
{
	SetCommand(0x01, 0x01);
	return GetCommandArray();
}

byte* BarrierCommand::CMD_GateOff()
{
	SetCommand(0x01, 0x02);
	return GetCommandArray();
}

byte* BarrierCommand::CMD_GateUp()
{
	SetCommand(0x09, 0x01);
	return GetCommandArray();
}

byte* BarrierCommand::CMD_GateDown()
{
	SetCommand(0x09, 0x02);
	return GetCommandArray();
}

byte* BarrierCommand::CMD_RequireStatus()
{
	SetCommand(0x20, 0x01);
	return GetCommandArray();
}

byte* BarrierCommand::CMD_CarLicense_1to3(byte _1, byte _2, byte _3)
{
	SetCommand(0x10, _1, _2, _3);
	return GetCommandArray();
}

byte* BarrierCommand::CMD_CarLicense_4to6(byte _4, byte _5, byte _6)
{
	SetCommand(0x11, _4, _5, _6);
	return GetCommandArray();
}
