#ifndef __DEBUG_OPT__
#define __DEBUG_OPT_

#include "WirelessChargerCommand.h"
#include "TrafficLightCommand.h"
#include "SpecTerrainCommand.h"
#include "VoiceRepotCommand.h"
#include "LEDDisplayCommand.h"
#include "AlarmTowerCommand.h"
#include "3DDisplayCommand.h"
#include "RodeLightCommand.h"
#include "BarrierCommand.h"
#include "ZigBeeOperator.h"
#include "GarageCommand.h"
#include "AccurateMotor.h"
#include "TextEncoder.h"
#include "GlobalDatas.h"
#include "ETCCommand.h"
#include "TFTCommand.h"
#include <BKRC_Voice.h>
#include "OpenMVOpt.h"
#include <Infrare.h>
#include <CoreLED.h>
#include <BEEP.h>
#include <LED.h>

namespace DebugOpt
{
	//LEDˮƼ
	extern uint8_t led_flow_cnt;
	extern bool led_flow_switch;

	//LEDˮ
	void DoLEDFlow();
	void LEDFlowOn();
	void LEDFlowOff();

	//в
	void DebugRun();

	//в
	void DebugServo();
	
	//բ
	void Road_Gate_Test();
	
	//
	void Speech_Sounds_Ctr();
	
	//ʶ
	void Speech_Disc();
	
	//ⷢͲ
	void Infrared_Test();
};

#endif