// LEDDisplayCommand.h

#ifndef _LEDDISPLAYCOMMAND_h
#define _LEDDISPLAYCOMMAND_h

#if defined(ARDUINO) && ARDUINO >= 100
	#include "arduino.h"
#else
	#include "WProgram.h"
#endif

#include "CommandEncoder.h"

class LEDDisplayCommand : private CommandEncoder
{
public:
	LEDDisplayCommand();
public:
	byte* CMD_StartTimer();
	byte* CMD_StopTimer();
	byte* CMD_ClearTimer();
	byte* CMD_FirstLineDisplay(uint32_t num);
	byte* CMD_SecondLineDisplay(uint32_t num);
	byte* CMD_DisplayDistence(uint16_t dis);
};

#endif

