// ZigBeeOperator.h

#ifndef _ZIGBEEOPERATOR_h
#define _ZIGBEEOPERATOR_h

#if defined(ARDUINO) && ARDUINO >= 100
	#include "arduino.h"
#else
	#include "WProgram.h"
#endif

#include <ExtSRAMInterface.h>

class ZigBeeOperatorClass
{
 private:
	 const uint16_t zigbee_address = 0x6008;
 public:
	void Initialization();
public:
	void SendCommand(uint8_t* cmd, uint16_t siz = 8);
};

extern ZigBeeOperatorClass ZigBeeOperator;

#endif

