// BarrierCommand.h

#ifndef _BARRIERCOMMAND_h
#define _BARRIERCOMMAND_h

#if defined(ARDUINO) && ARDUINO >= 100
	#include "arduino.h"
#else
	#include "WProgram.h"
#endif

#include "CommandEncoder.h"

class BarrierCommand : private CommandEncoder
{
public:
	BarrierCommand();
public:
	byte* CMD_GateOn();
	byte* CMD_GateOff();
	byte* CMD_GateUp();
	byte* CMD_GateDown();
	byte* CMD_RequireStatus();
	byte* CMD_CarLicense_1to3(byte _1, byte _2, byte _3);
	byte* CMD_CarLicense_4to6(byte _4, byte _5, byte _6);
};

#endif

