// 
// ־ͨ -  - ZigBee
// 

#include "SpecTerrainCommand.h"

SpecTerrainCommand::SpecTerrainCommand()
{
	SetDevice(CommandData::Devices::SpecTerrain);
}

byte* SpecTerrainCommand::CMD_QueryStatus()
{
	SetCommand(0x10, 0x01);
	return GetCommandArray();
}

bool SpecTerrainCommand::IsSpecTerrainCommand(byte* cmd)
{
	return ((cmd[1] == CommandData::Devices::SpecTerrain) && (cmd[2] == 0x10) && (cmd[3] == 0x01));
}

SpecTerrainCommand::Status SpecTerrainCommand::ReadStatus(byte* cmd)
{
	if (!IsSpecTerrainCommand(cmd))
		return Status::Unknown;
	return ((Status)cmd[4]);
}
