// SpecTerrainCommand.h

#ifndef _SPECTERRAINCOMMAND_h
#define _SPECTERRAINCOMMAND_h

#if defined(ARDUINO) && ARDUINO >= 100
	#include "arduino.h"
#else
	#include "WProgram.h"
#endif

#include "CommandEncoder.h"

class SpecTerrainCommand : private CommandEncoder
{
public:
	enum class Status
	{
		Passed_AtoB = 0x31,
		Passed_BtoA = 0x32,
		NotPass = 0x33,
		Unknown = 0xFF
	};
public:
	SpecTerrainCommand();
public:
	byte* CMD_QueryStatus();
public:
	bool IsSpecTerrainCommand(byte* cmd);
	Status ReadStatus(byte* cmd);
};

#endif

